# Perl Solution to N Queens Problem

This solution originally came from Rosetta Code,
before being modified and heavily commented.

## Running

No need to compile with Perl, just run it:

```plain
$ perl nqueens.pl
```

## Timing

To time the Perl code, use the timing script provided in the repository,
which will edit the source code with sed and adjust the size of the problem,
and add the timing information printed out to a file.

```plain
$ ./time_perl.sh
```

## Profiling

You can make use of the `Devel::NYTProf` profiling library 
to profile your Perl code line-by-line. For more info see
[Perl/Profiling](http://charlesreid1.com/wiki/Perl/Profiling) 
on the charlesreid1.com wiki.

```plain
$ cpanm Devel::NYTProf
$ perl -d:NYTProf nqueens.pl
```




